package mapped;

import java.util.Comparator;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSGrandExchangeOfferAgeComparator;

@ObfuscatedName("oa")
final class GrandExchangeOfferAgeComparator implements Comparator, RSGrandExchangeOfferAgeComparator {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Log;Log;S)I",
      garbageValue = "5269"
   )
   int method7109(GrandExchangeEvent var1, GrandExchangeEvent var2) {
      return var1.age < var2.age?-1:(var1.age == var2.age?0:1);
   }

   public boolean equals(Object var1) {
      return super.equals(var1);
   }

   public int compare(Object var1, Object var2) {
      return this.method7109((GrandExchangeEvent)var1, (GrandExchangeEvent)var2);
   }

   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "(II)I",
      garbageValue = "-2066613698"
   )
   public static int method7113_base(int var0) {
      long var2 = ViewportMouse.ViewportMouse_entityTags[var0];
      int var1 = (int)(var2 >>> 7 & 127L);
      return var1;
   }

   @ObfuscatedName("ak")
   @ObfuscatedSignature(
      descriptor = "(II)I",
      garbageValue = "1600616066"
   )
   public static int method7112_base(int var0) {
      return var0 > 0?1:(var0 < 0?-1:0);
   }
}
